@charset "UTF-8";

.header-wrap{position:fixed;top:0;left:0;width:100%;z-index:200;}
.bottom-header-wrap{position:relative;}
.bottom-header-wrap:after{content:'';position:absolute;bottom:0;left:0;width:100%;height:1px;background:var(--white100);transition:all 0.3s;}

.header-box{display:flex;margin:0 auto;padding:0 4rem;max-width:192rem;width:100%;box-sizing:border-box;}
/*body.main .header-box{padding:0 2rem;max-width:164rem;}*/
.logo-wrap{align-self:center;flex-shrink:0;}
.logo-wrap h1 a{display:block;width:28rem;font-size:0;line-height:1;}
.logo-wrap h1 a .img-active{display:none;}
.gnb-wrap{margin:0 auto;padding:0 2rem;box-sizing:border-box;}

/* pc gnb */
.gnb-ul{display:flex;justify-content:space-between;gap:6rem;padding:3.1rem 0 0;}
.gnb-ul > li > a{display:block;padding:0 0 3.1rem;font-weight:var(--font-weight-semibold);font-size:1.8rem;line-height:2.6rem;color:var(--white100);transition:0.3s ease;}
.gnb-ul > li.active > a{color:var(--black01);}
.gnb-ul > li .gnb-inner{display:none;position:absolute;top:100%;left:0;z-index:40;width:100%;box-sizing:border-box;overflow:hidden;}
.gnb-ul > li.active .gnb-inner{display:block;visibility:visible;opacity:1;}
.gnb-ul > li .gnb-inner .gnb-inner-con{display:flex;margin:0 auto;display:flex;width:100%;box-sizing:border-box;}
.gnb-ul > li .gnb-inner .menu-title{flex-shrink:0;padding:4rem 2rem 0 min(18rem, 9.375%);width:29.166%;background:var(--color54);box-sizing:border-box;}
.gnb-ul > li .gnb-inner .menu-title a{display:flex;justify-content:flex-end;}
.gnb-ul > li .gnb-inner .menu-title a span{display:inline-block;min-width:24rem;font-weight:var(--font-weight-bold);font-size:3.2rem;line-height:4.5rem;color:var(--black01);word-break:keep-all;}
.sub-mn{display:flex;flex-wrap:wrap;align-items:flex-start;gap:2.4rem 2rem;position:relative;z-index:30;padding:4rem 2rem;width:100%;max-height:calc(100vh - 8.8rem);overflow-y:auto;box-sizing:border-box;}
.sub-mn > li{display:flex;flex-wrap:wrap;align-items:flex-start;width:24rem;}
.sub-mn > li > a{display:flex;align-items:center;gap:8px;flex-shrink:0;border-radius:4px;border:1px solid var(--color52);padding:1.6rem;width:100%;font-weight:var(--font-weight-medium);font-size:1.8rem;line-height:2.5rem;color:var(--black01);box-sizing:border-box;transition:all 0.6s;}
.sub-mn > li > a.active,
.sub-mn > li > a:hover{border-color:var(--color78);background:var(--color78);color:var(--white100);}
.sub-mn02{display:flex;flex-wrap:wrap;gap:1rem;padding:1.2rem 0 0;width:100%;}
.sub-mn02 > li{width:100%;}
.sub-mn02 > li > a{display:block;position:relative;padding:0 2rem;font-size:1.8rem;line-height:2.5rem;color:var(--black01);}
.sub-mn02 > li > a:before{content:'';position:absolute;top:1rem;left:8px;border-radius:50%;width:4px;height:4px;background:var(--black01);}
.sub-mn02 > li > a.active,
.sub-mn02 > li > a:hover{color:var(--color78);}
.sub-mn02 > li > a.active:before,
.sub-mn02 > li > a:hover:before{background:var(--color78);}
.gnb-bg{display:none;position:absolute;top:100%;left:50%;z-index:20;width:200vw;background:var(--white100);transform:translateX(-50%);-webkit-transform:translateX(-50%);}

.util-box{display:flex;align-items:center;}
.util-box > ul{display:flex;justify-content:flex-end;align-items:center;gap:2rem;height:100%;}
.util-box > ul li.util-lang{display:flex;align-items:center;position:relative;height:100%;}

/* 사이트맵 */
.btn-sitemap-open{display:block;position:relative;width:4rem;height:4rem;background:var(--white100);-webkit-mask:url(/_res/yonsei_rc/yonseirc/img/common/ico-sitemap.svg) no-repeat center center/100%;mask:url(/_res/yonsei_rc/yonseirc/img/common/ico-sitemap.svg) no-repeat center center/100%;}
.sitemap-wrap{display:none;position:absolute;top:0;left:0;z-index:20;width:100vw;height:100%;pointer-events:none;}
.sitemap-box{position:absolute;top:100%;left:0;z-index:20;width:100vw;background:var(--white100);pointer-events:visible;}
.sitemap-bg{display:none;}
.sitemap-btn-box{display:none;justify-content:flex-end;position:absolute;top:50%;left:50%;margin:0 auto;padding:0 4rem;max-width:192rem;width:100%;box-sizing:border-box;pointer-events:none;transform:translate(-50%, -50%);}
body.sitemap-open .sitemap-btn-box{display:flex;}
.sitemap-btn-box .btn-sitemap-close{width:4rem;height:4rem;background:url(/_res/yonsei_rc/yonseirc/img/common/btn-sitemap-close.svg) no-repeat center/100%;pointer-events:visible;}
.sitemap-wrap .site-map{display:flex;flex-wrap:wrap;gap:2.8rem;margin:0 auto;padding:0 2rem;max-width:164rem;max-height:calc(100vh - 8.8rem);overflow-y:auto;box-sizing:border-box;}
.sitemap-wrap .site-map > li{padding:4rem 0 6.4rem;width:calc(20% - 2.24rem);border-right:1px solid var(--color52);box-sizing:border-box;}
.sitemap-wrap .site-map > li:nth-of-type(5n){border:none;}
.sitemap-wrap .site-map > li > a{display:inline-block;font-weight:var(--font-weight-bold);font-size:2.4rem;line-height:3.4rem;color:var(--color13);letter-spacing:-0.02em;}
.sitemap-wrap .site-map .depth02{padding:2.4rem 0 0;}
.sitemap-wrap .site-map .depth02 > li{padding:0 0 2rem;}
.sitemap-wrap .site-map .depth02 > li:last-of-type{padding:0;}
.sitemap-wrap .site-map .depth02 > li > a{font-weight:var(--font-weight-bold);font-size:1.8rem;line-height:2.5rem;color:var(--black01);letter-spacing:-0.02em;transition:all 0.3s;}
.sitemap-wrap .site-map .depth02 > li > a:hover{text-decoration:underline;text-decoration-thickness:2px;text-underline-offset:3px;}
.sitemap-wrap .site-map .depth03{padding:1.2rem 0 0;}
.sitemap-wrap .site-map .depth03 > li{padding:0 0 1.2rem;}
.sitemap-wrap .site-map .depth03 > li:last-of-type{padding:0;}
.sitemap-wrap .site-map .depth03 > li > a{position:relative;padding:0 0 0 1.2rem;font-size:1.8rem;line-height:2.5rem;color:var(--color66);letter-spacing:-0.02em;transition:all 0.3s;}
.sitemap-wrap .site-map .depth03 > li > a:before{content:'';position:absolute;top:1rem;left:0;border-radius:50%;width:4px;height:4px;background:var(--color66);}
.sitemap-wrap .site-map .depth03 > li > a:hover{text-decoration:underline;text-underline-offset:3px;}
.slideMenu{display:none;}

:is(body.gnb-open, body.mGnb-open, body.hover, body.google-open) .header-wrap,
.header-wrap.active{background:var(--white100);}
:is(body.gnb-open, body.mGnb-open, body.hover, body.google-open) .bottom-header-wrap:after,
.header-wrap.active .bottom-header-wrap:after{background:var(--color52);}
:is(body.gnb-open, body.hover, body.google-open, .header-wrap.active) .gnb-ul > li > a{color:var(--black01);}
:is(body.gnb-open, body.mGnb-open, body.hover, body.google-open, .header-wrap.active) .logo-wrap h1 a .img-active{display:block;}
:is(body.gnb-open, body.mGnb-open, body.hover, body.google-open, .header-wrap.active) .logo-wrap h1 a .img-default{display:none;}
:is(body.gnb-open, body.hover, body.google-open, .header-wrap.active) .util-box .btn-sitemap-open{background:var(--black01);}
body.gnb-open .gnb-bg{display:block;}

@media screen and (max-width:1500px){
	.header-box{padding:0 2rem;}
	.logo-wrap h1 a{width:18rem;}
	.gnb-ul{gap:2rem;}
	.gnb-ul > li > a{font-size:1.6rem;}
	.util-box > ul{gap:2rem;}
	.sitemap-wrap .sitemap-btn-box{padding:2.4rem 2rem;}
}
@media screen and (min-width:1025px){
	body.gnb-open:after,
	body.sitemap-open:after{content:'';position:absolute;top:0;left:0;z-index:100;width:100%;height:100%;background:var(--black40);}
	body.sitemap-open .header-wrap{background:var(--white100);}
	body.sitemap-open .header-wrap .bottom-header-wrap:after{background:var(--color52);}
	body.sitemap-open .logo-wrap h1 a .img-active{display:block;}
	body.sitemap-open .logo-wrap h1 a .img-default{display:none;}
	body.sitemap-open .gnb-wrap{opacity:0;pointer-events:none;}
	body.sitemap-open .btn-sitemap-open{opacity:0;pointer-events:none;}
}
@media screen and (max-width:1024.98px){
	.sitemap-wrap{display:none !important;}
	.header-box{justify-content:space-between;}
	.logo-wrap h1 a{width:13.9rem;}
	.gnb-wrap{display:none;}
	.gnb-bg{display:none;}
	.util-box{gap:1.6rem;min-height:7.2rem;}
	.util-box li:has(.btn-sitemap-open){display:none;} 
	.util-box .btn-menu{display:block;width:4rem;height:4rem;background:var(--white100);-webkit-mask:url(/_res/yonsei_rc/yonseirc/img/common/btn-menu.svg) no-repeat center/100%;mask:url(/_res/yonsei_rc/yonseirc/img/common/btn-menu.svg) no-repeat center/100%;}
	.util-box .m-util-box .slide-close{display:none;}
	.util-box .m-util-box{display:none;} 

	/* mobile gnb */
	.slideMenu{position:fixed;top:7.2rem;z-index:100;height:calc(100% - 7.2rem);background:var(--white100);overflow-y:auto;box-sizing:border-box;opacity:0;visibility:hidden;transition:all 0.3s;}
	.slideMenu.right{right:-100%;}
	.slideMenu.right.on{right:0;opacity:1;visibility:visible;}
	.m-gnb{position:relative;width:100%;box-sizing:border-box;}
	.m-gnb .dep1{padding:4rem 2rem 0;box-sizing:border-box;}
	.m-gnb .dep1 > li{margin:0 0 2.4rem;border-bottom:1px solid var(--color01);}
	.m-gnb .dep1 > li:last-of-type{margin:0;border-bottom:none;}
	.m-gnb .dep1 > li > a{display:block;position:relative;padding:0 2rem 2.4rem 0;font-weight:var(--font-weight-medium);font-size:1.8rem;line-height:2.2rem;color:var(--black01);}
	.m-gnb .dep1 > li.has-dep > a:after{content:'';position:absolute;top:0;right:0;width:2rem;height:2rem;background:url(/_res/yonsei_rc/yonseirc/img/common/ico-mGnb-dep01-arr.png) no-repeat center center/100%;transition:all 0.2s;}
	.m-gnb .dep1 > li.active > a{font-weight:var(--font-weight-bold);color:var(--color12);}
	.m-gnb .dep1 > li.has-dep.active > a:after{transform:rotate(180deg);}
	.m-gnb .dep2{display:none;padding:3.2rem 0 2.4rem;border-top:1px solid var(--black01);}
	.m-gnb .dep1 > li:last-of-type .dep2{border-top:1px solid var(--color01);}
	.m-gnb .dep2 > li{padding:0 0 2rem;}
	.m-gnb .dep2 > li:last-of-type{padding:0;}
	.m-gnb .dep2 > li > a{display:block;position:relative;padding:0 2rem 0 0;font-weight:var(--font-weight-medium);font-size:1.6rem;line-height:1.9rem;color:var(--black05);box-sizing:border-box;}
	.m-gnb .dep2 > li > a.active{color:var(--color12);}
	.m-gnb .dep2 > li.has-dep > a:before{content:'';position:absolute;top:1rem;right:1rem;width:1px;height:1rem;background:var(--black05);transform:translate(50%,-50%);transition:all 0.2s;}
	.m-gnb .dep2 > li.has-dep > a:after{content:'';position:absolute;top:1rem;right:1rem;width:1rem;height:1px;background:var(--black05);transform:translate(50%,-50%);}
	.m-gnb .dep2 > li.active > a:before{transform:translate(50%,-50%) rotate(90deg);}
	.m-gnb :is(.dep3, .dep4){display:none;padding:1.2rem 8px 0;}
	.m-gnb .dep3 > li{padding:0 0 1.2rem;}
	.m-gnb .dep3 > li:last-of-type{padding:0;}
	.m-gnb .dep3 > li > a{display:block;position:relative;font-size:1.4rem;line-height:1.7rem;color:var(--black05);box-sizing:border-box;}
	.m-gnb .dep3 > li > a.active{color:var(--color12);}
	
	body.mGnb-open{overflow:hidden;}
	body.mGnb-open .util-box .btn-menu{display:none;}
	body.google-open .util-box .btn-menu,
	.header-wrap.active .util-box .btn-menu{background:var(--black01);}
	body.mGnb-open .util-box .m-util-box{display:block;} 
	body.mGnb-open .util-box .m-util-box .slide-close{display:block !important;width:4rem;height:4rem;background:url(/_res/yonsei_rc/yonseirc/img/common/btn-menu-active.svg) no-repeat center/100%;}
}